<?php

$db = [
    'host' => 'localhost',
    'user' => 'matroskin8_test',
    'pass' => 'Rhy7*9DA',
    'db' => 'matroskin8_test',
];

$dsn = "mysql:host={$db['host']};dbname={$db['db']};charset=utf8";
$opt = [
    PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
];

$pdo = new PDO($dsn, $db['user'], $db['pass'], $opt);

function get_categories($type = false)
{
    global $pdo;
    if (false === $type) {
        $stmt = $pdo->prepare("SELECT * FROM finance_cats");
        $stmt->execute();
    } else {
        $stmt = $pdo->prepare("SELECT * FROM finance_cats WHERE type = ?");
        $stmt->execute([$type]);
    }
    $html = '';
    foreach ($stmt->fetchAll() as $item) {
        $html .= $item['title'] . PHP_EOL;
    }
    return $html;
}

function add_finance($type, $amount, $category)
{
    global $pdo;
    $stmt = $pdo->prepare("SELECT id FROM finance_cats WHERE type = ? AND title = ?");
    $stmt->execute([$type, $category]);
    $data = $stmt->fetch();
    if (!isset($data['id'])) {
        return 'Категория не найдена';
    }

    $stmt = $pdo->prepare("INSERT INTO finance (amount, category, type) VALUES (?,?,?)");
    if ($stmt->execute([$amount, $data['id'], $type])) {
        return 'Запись добавлена';
    } else {
        return 'Ошибка добавления записи';
    }
}
